std::shared_lock::unlock(3)

NAME
std::shared_lock::unlock - std::shared_lock::unlock

Synopsis
   void unlock(); (since C++14)
   Unlocks the associated mutex from shared mode. Effectively calls
   mutex()->unlock_shared()
   std::system_error is thrown if there is no associated mutex or if the mutex is not
   locked.

Parameters
   (none)

Return value
   (none)

Exceptions
     * Any exceptions thrown by mutex()->unlock_shared()
     * If there is no associated mutex, std::system_error with an error code of
       std::errc::operation_not_permitted

Example
    This section is incomplete
    Reason: no example

See also
   lock locks the associated mutex
           (public member function)
   release disassociates the mutex without unlocking
           (public member function)